### ContentPackage: IMS Content Packaging support for Zope
### Copyright (C) 2002 Scott Wilson (s.wilson@bangor.ac.uk)
###
### This library is free software; you can redistribute it and/or
### modify it under the terms of the GNU Lesser General Public
### License as published by the Free Software Foundation; either
### version 2.1 of the License, or (at your option) any later version.
###
### This library is distributed in the hope that it will be useful,
### but WITHOUT ANY WARRANTY; without even the implied warranty of
### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
### Lesser General Public License for more details.
### 
### You should have received a copy of the GNU Lesser General Public
### License along with this library; if not, write to the Free Software
### Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###
###
### This module contains a helper class that provides
### some additional simple DOM functions that aren't in
### the DOM shipped with Zope 2.5.1
###
import string

class CPXmlHelper:
    """A helper class for some general DOM functions in frequent use.
    """

    def getText(self,nodelist):
        rc = ""
        for node in nodelist:
            if node.nodeType == node.TEXT_NODE:
               rc = rc + node.data
        return rc

    def getLocalName(self,name):
        s = string.split(name,':')
        if len(s)>1:
           s = s[1]
        else:
           s = s[0]
        return s

    def getTextCN(self,element):
        rc = ''
        for node in element.childNodes:
            if node.nodeType == node.TEXT_NODE:
               rc = rc + node.data
            pass
        return rc


    def getNS(self,name):
        s = string.split(name,':')
        if len(s)>1:
           s = s[0]+':'
        else:
           s = ''
        return s

